%define pkgname		libsigc++

%define api_version	2.0
%define major		0
%define libname		%mklibname sigc++ %api_version %major
%define libnamedev	%mklibname -d sigc++ %api_version

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Summary:	The Typesafe Signal Framework for C++
Version:	2.12.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libsigc.sourceforge.net/
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	doxygen

%description
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libname}
Summary:	The Typesafe Signal Framework for C++
Group:		System/Libraries
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description -n %{libname}
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libnamedev}
Summary:	Development tools for the Typesafe Signal Framework for C++
Group:		Development/Libraries
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	sigc++%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d sigc++ %api_version %major

%description -n %{libnamedev}
This package contains the headers and static libraries of %{pkgname},
which are needed when developing or compiling applications which use
%{pkgname}.

%package doc
Summary:	Documentation for %{pkgname} library
Group:		Documentation
BuildArch:	noarch

%description doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson -Dbuild-documentation=true
%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/libsigc-%{api_version}.so.%{major}*

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/sigc++-%{api_version}

%files doc
%doc %{_docdir}/libsigc++-%{api_version}
%_datadir/devhelp/books/libsigc++-%{api_version}


%changelog
* Mon Oct 02 2023 tex - 2.12.1-1pclos2023
- new version

* Sat Dec 24 2022 tex - 2.12.0-1pclos2022
- new version

* Wed May 26 2021 tex - 2.10.7-1pclos2021
- new version

* Wed Nov 25 2020 tex - 2.10.6-1pclos2020
- new version

* Sun Sep 27 2020 tex - 2.10.4-1pclos2020
- new version 2.10.4
